# Class DeathEvent

java.lang.Object
robocode.Event
robocode.DeathEvent

All Implemented Interfaces:
  `Serializable, Comparable<Event>`

public final class DeathEvent extends Event
This event is sent to `onDeath()` when your robot dies.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DeathEvent()`
Called by the game to create a new DeathEvent.

## Method Summary

Modifier and Type
Method
Description
`final int`
`getPriority()`
Returns the priority of this event.

### Methods inherited from class Event

`compareTo, getTime, setPriority, setTime`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeathEvent

public DeathEvent()
Called by the game to create a new DeathEvent.

## Method Details

### getPriority

public final int getPriority()
Returns the priority of this event.

An event priority is a value from 0 - 99. The higher value, the higher priority.

The default priority is 80, but varies depending on the type of event.

Overrides:
  `getPriority` in class `Event`
Returns:
  the priority of this event.